package com.zehong.system.domain.project;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 项目资料对象 t_product_project
 * 
 * @author zehong
 * @date 2024-08-19
 */
public class TProductProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String title;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String number;

    /** 项目分类 */
    @Excel(name = "项目分类",dictType = "t_project_type")
    private String cateId;

    /** 项目描述 */
    private String content;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date starttime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 项目附件 */
    @Excel(name = "项目附近")
    private String fileUrl;

    /** 负责人 */
    @Excel(name = "负责人")
    private String username;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String tel;

    /** 项目状态 */
    @Excel(name = "项目状态",dictType = "t_project_status")
    private String status;

    /** $column.columnComment */
    private Long createId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setNumber(String number) 
    {
        this.number = number;
    }

    public String getNumber() 
    {
        return number;
    }
    public void setCateId(String cateId) 
    {
        this.cateId = cateId;
    }

    public String getCateId() 
    {
        return cateId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setStarttime(Date starttime) 
    {
        this.starttime = starttime;
    }

    public Date getStarttime() 
    {
        return starttime;
    }
    public void setEndtime(Date endtime) 
    {
        this.endtime = endtime;
    }

    public Date getEndtime() 
    {
        return endtime;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("number", getNumber())
            .append("cateId", getCateId())
            .append("content", getContent())
            .append("starttime", getStarttime())
            .append("endtime", getEndtime())
            .append("fileUrl", getFileUrl())
            .append("username", getUsername())
            .append("tel", getTel())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .toString();
    }
}
